Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Equinox » org.osgi.framework.BundleException(Could not find bundle: org.eclipse.equinox.console)
org.osgi.framework.BundleException [message #793689] Wed, 08 February 2012 12:48 Go to next message
qu wen is currently offline qu wenFriend
Messages: 1
Registered: February 2012
Junior Member
software: eclipse-java-juno-M4-win32

org.osgi.framework.BundleException: Could not find bundle: org.eclipse.equinox.console
at org.eclipse.osgi.framework.internal.core.ConsoleManager.checkForConsoleBundle(ConsoleManager.java:211)
at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:296)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:175)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:624)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:579)
at org.eclipse.equinox.launcher.Main.run(Main.java:1433)
at org.eclipse.equinox.launcher.Main.main(Main.java:1409)

[Updated on: Wed, 08 February 2012 12:50]

Report message to a moderator

Re: org.osgi.framework.BundleException [message #793737 is a reply to message #793689] Wed, 08 February 2012 13:49 Go to previous messageGo to next message
Thomas Watson is currently offline Thomas WatsonFriend
Messages: 501
Registered: July 2009
Senior Member
Could you give us more information. How are you launching eclipse-java-juno-M4-win32? Are you launching the full Eclipse IDE for Java Developers? I assume you are using the -console option.

It appears the org.eclipse.equinox.console is missing, which is required to support the -console option in Juno. Check the plugins/ folder to see if that bundle exists. Unfortunately M4 is not available for download anymore. I checked M5 and it does include this bundle.

Tom.
Re: org.osgi.framework.BundleException [message #882746 is a reply to message #793737] Thu, 07 June 2012 05:19 Go to previous messageGo to next message
ayush agarwal is currently offline ayush agarwalFriend
Messages: 1
Registered: June 2012
Junior Member
Even I AM getting the error in EclipseJuno when trying to set the console option.

eclipse.buildId=unknown
java.version=1.6.0_29
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Command-line arguments: -console -configuration runtime

!ENTRY org.eclipse.osgi 4 0 2012-06-07 10:28:48.002
!MESSAGE Could not find bundle: org.eclipse.equinox.console
!STACK 0
org.osgi.framework.BundleException: Could not find bundle: org.eclipse.equinox.console
at org.eclipse.osgi.framework.internal.core.ConsoleManager.checkForConsoleBundle(ConsoleManager.java:211)
at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:297)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:176)
at org.eclipse.core.runtime.adaptor.EclipseStarter.main(EclipseStarter.java:151)

!ENTRY org.eclipse.osgi 4 0 2012-06-07 10:28:48.012
!MESSAGE Application error
!STACK 1
java.lang.IllegalStateException: Unable to acquire application service. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see config.ini).
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:74)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:353)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:180)
at org.eclipse.core.runtime.adaptor.EclipseStarter.main(EclipseStarter.java:151)
Re: org.osgi.framework.BundleException [message #882895 is a reply to message #882746] Thu, 07 June 2012 12:30 Go to previous message
Thomas Watson is currently offline Thomas WatsonFriend
Messages: 501
Registered: July 2009
Senior Member
Do you have the org.eclipse.equinox.console bundle present? How are you launching Eclipse, what download are you using?
Previous Topic:A bit lost with CategoryPublisher
Next Topic:How to stop already running OSGi frameworks from IDE
Goto Forum:
  


Current Time: Tue Nov 30 13:13:54 GMT 2021

Powered by FUDForum. Page generated in 0.01766 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top